.contacts {
  padding-top: 0px;
  padding-bottom: 68px;
  &__container {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    column-gap: 30px;
  }
  &__title {
    grid-column: 1 / -1;
    margin-bottom: 15px;
    color: $drk;
  }
  &__left {
    position: relative;
    max-height: 465px;
    min-height: 465px;
    max-width: 100%;
    grid-column: span 2;
    padding-top: 7px;
  }
  &__map {
    height: 100%;
  }
  [class*="ground-pane"] {
    filter: grayscale(1);
    -webkit-filter: grayscale(1);
  }
  &__desc {
    position: absolute;
    display: none;
    top: 0;
    left: 0;
    bottom: 0;
    right: 51.7647%;
    opacity: 0;
    visibility: hidden;
    background: rgba(32, 32, 32, 0.85);
    z-index: 10;
    padding: 175px 50px 150px 60px;
    transition: opacity 0.2s ease-in-out, visibility 0.2s ease-in-out;
    &_active {
      animation: showElem 0.2s ease-in-out;
      opacity: 1;
      visibility: visible;
    }
  }
  &__caption {
    display: block;
    font-weight: 400;
    margin-bottom: 5px;
  }
  &__address {
    font-family: $fontRob;
    font-size: 16px;
    line-height: 28px;
    color: #cacaca;
    margin-bottom: 2px;
    font-style: normal;
  }
  &__tel,
  &__right,
  &__form {
    display: flex;
  }
  &__right {
    .contacts__caption {
      color: $drk;
    }
  }
  &__tel {
    transition: background-color 0.2s ease-in-out, color 0.2s ease-in-out;
    line-height: 21px;
    font-weight: 400;
    font-family: $fontTT;
    svg {
      fill: $wht;
      transition: fill 0.2s ease-in-out;
    }
    &_tablet {
      display: none;
    }
    &:hover {
      color: $orng;
      svg {
        fill: $orng;
      }
    }
    &:focus {
      background-color: $orngFcs;
      color: $wht;
      svg {
        fill: $wht;
      }
    }
    &:active {
      background-color: transparent;
      color: $orngActv;
      svg {
        fill: $orngActv;
      }
    }
  }
  &__close {
    position: absolute;
    top: 20px;
    right: 20px;
    cursor: pointer;
  }
  &__right,
  &__form {
    flex-direction: column;
  }
  &__content {
    margin-bottom: 14px;
    font-family: $fontRob;
    color: $drk;
  }
  &__label {
    position: relative;
    margin-bottom: 20px;
  }
  &__hint {
    position: absolute;
    display: none;
    top: 3px;
    left: 23px;
    font-family: $fontRob;
    font-size: 9px;
    line-height: 11px;
    color: #f06666;
    visibility: hidden;
    opacity: 0;
    transition: opacity 0.2s ease-in-out, visibility 0.2s ease-in-out;
    &_active {
      animation: showElem 0.2s ease-in-out;
      visibility: visible;
      opacity: 1;
    }
  }
  &__field {
    color: #999999;
    background-color: #e9e9e9;
    width: 100%;
  }
  &__area {
    resize: none;
    max-height: 150px;
    margin-bottom: 20px;
  }
  &__btn {
    align-self: flex-start;
  }
}

// ----------------------------- media px ---------------------------------

@media (max-width: 1024px) {
  .contacts {
    &__container {
      grid-template-columns: repeat(
        auto-fit,
        minmax(218px, 342px) minmax(218px, 1fr) minmax(218px, 342px)
      );
    }
    &__desc {
      right: 0;
      height: auto;
      top: 303px;
      padding-top: 25px;
      // @include adaptiveValue("padding-right", 267, 210, 1024, 900, 0);
      padding-right: 30px;
      padding-bottom: 21px;
      padding-left: 30px;
    }
    &__left {
      max-height: 465px;
      min-height: 465px;
    }
    &__tel {
      color: $orng;
      &_tablet {
        display: inline;
        svg {
          display: inline;
          fill: $orng;
          transform: translateY(3px);
        }
      }
      &_desk {
        display: none;
      }
    }
  }
}

// ----------------------------- media px ---------------------------------

@media (max-width: 900px) {
  .contacts {
    padding-bottom: 72px;
    &__container {
      grid-template-columns: repeat(3, 1fr);
    }
    &__left {
      margin-bottom: 24px;
      grid-column: 1 / -1;
    }
    &__right {
      grid-column: span 2;
    }
    &__desc {
      // @include adaptiveValue("padding-right", 248, 34, 900, 576, 0);
      padding-right: 24px;
      padding-bottom: 24px;
    }
    &__tel {
      &_tablet {
        display: none;
      }
      &_desk {
        display: flex;
        svg {
          fill: $orng;
        }
      }
    }
  }
}

// ----------------------------- media px ---------------------------------

@media (max-width: 576px) {
  .contacts {
    padding-top: 17px;
    padding-bottom: 50px;
    &__title {
      margin-bottom: 14px;
    }
    &__container {
      grid-template-columns: 1fr;
      column-gap: 0px;
    }
    &__left {
      grid-column: 1 / 2;
      max-height: 472px;
      min-height: 472px;
      padding-top: 0;
    }
    &__address,
    &__tel {
      font-size: 14px;
      line-height: 18px;
    }
    &__desc {
      top: 315px;
      padding: 25px 34px 14px 18px;
    }
    &__right {
      grid-column: 1 / 2;
    }
    &__caption {
      margin-bottom: 7px;
    }
    &__content {
      margin-bottom: 16px;
    }
  }
}
